package performancemonster.accumulatedcallgraph;

import java.util.List;
import java.util.Set;

public interface MethodNode
{
  public void addElement(performancemonster.stretchedcallgraph.MethodNode node);

  public void replaceElement(
      performancemonster.stretchedcallgraph.MethodNode node);
  
  public void addChild(MethodNode node);
  
  public MethodNode getParent();
  
  public List<MethodNode> getChildren();
  
  public Set<Long> getElementIds();
  
  public long getTotalTime();

  public long getTimeInMethod();

  public long getNumberOfCalls();

  public String getName();
  
  public boolean isEnded();
}
